org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ExtendedEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.TupleFunctionEvaluationStrategy
    - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ExtendedEvaluationStrategy

- All Implemented Interfaces:
    EvaluationStrategy, FederatedServiceResolver, FederatedServiceResolverClient, UUIDable

      public class ExtendedEvaluationStrategy
      extends TupleFunctionEvaluationStrategy

  SPARQL 1.1 extended query evaluation strategy. This strategy adds the use of virtual properties, as well as extended comparison and mathematical operators to the minimally-conforming `StrictEvaluationStrategy`.
  Author:
    Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedEvaluationStrategy(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver, long iterationCacheSyncThreshold, EvaluationStatistics evaluationStatistics)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Value` | `evaluate(Compare node, BindingSet bindings)`
    `Value` | `evaluate(MathExpr node, BindingSet bindings)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.TupleFunctionEvaluationStrategy

      `evaluate, evaluate, evaluate`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, getZeroLengthPathIterator, isReducedOrDistinct, isTrue, isUnbound, optimize, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedEvaluationStrategy

          public ExtendedEvaluationStrategy(TripleSource tripleSource,
                                            Dataset dataset,
                                            FederatedServiceResolver serviceResolver,
                                            long iterationCacheSyncThreshold,
                                            EvaluationStatistics evaluationStatistics)

  - ### Method Detail

    - #### evaluate

          public Value evaluate(Compare node,
                                BindingSet bindings)
                         throws ValueExprEvaluationException,
                                QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `ValueExprEvaluationException`
        `QueryEvaluationException`

    - #### evaluate

          public Value evaluate(MathExpr node,
                                BindingSet bindings)
                         throws ValueExprEvaluationException,
                                QueryEvaluationException

      Overrides:
        `evaluate` in class `StrictEvaluationStrategy`
      Throws:
        `ValueExprEvaluationException`
        `QueryEvaluationException`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.